## nestopia 1.44+dfsg

=== Makefile ===
#
# Makefile for Linux Nestopia
# By R. Belmont 2008
# By R. Danbrook 2012
#

CC   = @gcc
CXX  = @g++
CFLAGS ?= -O3 -g3
CXXFLAGS ?= -O3 -g3
CPPFLAGS += -DNST_PRAGMA_ONCE_SUPPORT -D_SZ_ONE_DIRECTORY
CPPFLAGS += -Isource -Isource/core -Isource/zlib -Isource/core/api -Isource/core/board -Isource/core/input -Isource/unix/unzip
CPPFLAGS += -Isource/core/vssystem -Isource/unix -Isource/nes_ntsc -I.. -I../nes_ntsc -Isource/unix/7zip
SDL_CFLAGS = $(shell sdl-config --cflags)
GTK_CFLAGS = $(shell pkg-config --cflags gtk+-3.0)
CFLAGS += $(SDL_CFLAGS) $(GTK_CFLAGS)
CFLAGS += -finline-limit=2000 --param inline-unit-growth=1000 --param large-function-growth=1000 -finline-functions-called-once
CXXFLAGS += $(SDL_CFLAGS) $(GTK_CFLAGS)
CXXFLAGS += -finline-limit=2000 --param inline-unit-growth=1000 --param large-function-growth=1000 -finline-functions-called-once
UNAME := $(shell uname)

# enable this for input debugging
#CFLAGS += -DDEBUG_INPUT

LDFLAGS += -Wl,--as-needed

BIN  = nestopia

ifeq ($(UNAME), Linux)
	CXXFLAGS += -Wno-deprecated -Wno-unused-result -Wno-write-strings -fno-rtti
	LIBS = -lstdc++ -lm -lz -lasound $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
endif
ifneq ($(UNAME), Linux)
	CXXFLAGS += -Wno-deprecated -Wno-write-strings -fno-rtti
	LIBS = -lstdc++ -lm -lz $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
	CPPFLAGS += -DBSD
endif

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/nestopia

# OpenGL Support
CPPFLAGS += -DINCLUDE_OPENGL
LIBS   += -lGL -lGLU -lX11

# Allow files to go into a data directory
CPPFLAGS += -DDATADIR=\"$(DATADIR)\"

# Linux objs
OBJS = objs/unix/main.o objs/unix/oss.o objs/unix/interface.o objs/unix/settings.o 
OBJS += objs/unix/auxio.o objs/unix/input.o objs/unix/kentry.o objs/unix/controlconfig.o objs/unix/cheats.o
OBJS += objs/unix/seffect.o objs/unix/uihelp.o

# 7-zip decoder (from LZMA SDK 4.58 beta)
OBJS += objs/unix/7zip/7zAlloc.o objs/unix/7zip/7zBuf.o objs/unix/7zip/7zCrc.o objs/unix/7zip/7zDecode.o objs/unix/7zip/7zExtract.o 
OBJS += objs/unix/7zip/7zHeader.o objs/unix/7zip/7zIn.o objs/unix/7zip/7zItem.o objs/unix/7zip/LzmaDec.o
OBJS += objs/unix/7zip/Alloc.o objs/unix/7zip/Bcj2.o objs/unix/7zip/Bra.o objs/unix/7zip/Bra86.o objs/unix/7zip/BraIA64.o

# zip decoder
OBJS += objs/unix/unzip/unzip.o

# core objs
OBJS += objs/core/NstApu.o              objs/core/NstFds.o            objs/core/NstPpu.o              objs/core/NstVector.o
OBJS += objs/core/NstAssert.o           objs/core/NstFile.o           objs/core/NstProperties.o       objs/core/NstVideoFilter2xSaI.o
OBJS += objs/core/NstCartridge.o        objs/core/NstImage.o          objs/core/NstRam.o              objs/core/NstVideoFilterHqX.o
OBJS += objs/core/NstCartridgeInes.o    objs/core/NstImageDatabase.o  objs/core/NstSha1.o             objs/core/NstVideoFilterNone.o
OBJS += objs/core/NstCartridgeRomset.o  objs/core/NstLog.o            objs/core/NstSoundPcm.o         objs/core/NstVideoFilterNtsc.o
OBJS += objs/core/NstCartridgeUnif.o    objs/core/NstMachine.o        objs/core/NstSoundPlayer.o      objs/core/NstVideoFilterScaleX.o
OBJS += objs/core/NstCheats.o           objs/core/NstMemory.o         objs/core/NstSoundRenderer.o    objs/core/NstVideoRenderer.o
OBJS += objs/core/NstChecksum.o         objs/core/NstNsf.o            objs/core/NstState.o            objs/core/NstVideoScreen.o
OBJS += objs/core/NstChips.o            objs/core/NstPatcher.o        objs/core/NstStream.o           objs/core/NstXml.o
OBJS += objs/core/NstCore.o             objs/core/NstPatcherIps.o     objs/core/NstTracker.o          objs/core/NstZlib.o
OBJS += objs/core/NstCpu.o              objs/core/NstPatcherUps.o     objs/core/NstTrackerMovie.o
OBJS += objs/core/NstCrc32.o            objs/core/NstPins.o           objs/core/NstTrackerRewinder.o
OBJS += objs/core/NstVideoFilterNtscCfg.o

# core/api
OBJS += objs/core/api/NstApiBarcodeReader.o  objs/core/api/NstApiEmulator.o  objs/core/api/NstApiMovie.o     objs/core/api/NstApiTapeRecorder.o
OBJS += objs/core/api/NstApiCartridge.o      objs/core/api/NstApiFds.o       objs/core/api/NstApiNsf.o       objs/core/api/NstApiUser.o
OBJS += objs/core/api/NstApiCheats.o         objs/core/api/NstApiInput.o     objs/core/api/NstApiRewinder.o  objs/core/api/NstApiVideo.o
OBJS += objs/core/api/NstApiDipSwitches.o    objs/core/api/NstApiMachine.o   objs/core/api/NstApiSound.o


# core/board
OBJS += objs/core/board/NstBoardAe.o                    objs/core/board/NstBoardBtlPikachuY2k.o          objs/core/board/NstBoardNihon.o
OBJS += objs/core/board/NstBoardAgci.o                  objs/core/board/NstBoardBtlShuiGuanPipe.o        objs/core/board/NstBoardNitra.o
OBJS += objs/core/board/NstBoardAveD1012.o              objs/core/board/NstBoardBtlSmb2a.o               objs/core/board/NstBoardNtdec.o
OBJS += objs/core/board/NstBoardAveNina.o               objs/core/board/NstBoardBtlSmb2b.o               objs/core/board/NstBoardOpenCorp.o
OBJS += objs/core/board/NstBoardAxRom.o                 objs/core/board/NstBoardBtlSmb2c.o               objs/core/board/NstBoardQj.o
OBJS += objs/core/board/NstBoardBandai24c0x.o           objs/core/board/NstBoardBtlSmb3.o                objs/core/board/NstBoardRcm.o
OBJS += objs/core/board/NstBoardBandaiAerobicsStudio.o  objs/core/board/NstBoardBtlSuperBros11.o         objs/core/board/NstBoardRexSoftDb5z.o
OBJS += objs/core/board/NstBoardBandaiDatach.o          objs/core/board/NstBoardBtlT230.o                objs/core/board/NstBoardRexSoftSl1632.o
OBJS += objs/core/board/NstBoardBandaiKaraokeStudio.o   objs/core/board/NstBoardBtlTobidaseDaisakusen.o  objs/core/board/NstBoardRumbleStation.o
OBJS += objs/core/board/NstBoardBandaiLz93d50.o         objs/core/board/NstBoardBxRom.o                  objs/core/board/NstBoardSachen74x374.o
OBJS += objs/core/board/NstBoardBandaiLz93d50ex.o       objs/core/board/NstBoardCaltron.o                objs/core/board/NstBoardSachenS8259.o
OBJS += objs/core/board/NstBoardBandaiOekaKids.o        objs/core/board/NstBoardCamerica.o               objs/core/board/NstBoardSachenSa0036.o
OBJS += objs/core/board/NstBoardBenshengBs5.o           objs/core/board/NstBoardCneDecathlon.o           objs/core/board/NstBoardSachenSa0037.o
OBJS += objs/core/board/NstBoardBmc110in1.o             objs/core/board/NstBoardCnePsb.o                 objs/core/board/NstBoardSachenSa72007.o
OBJS += objs/core/board/NstBoardBmc1200in1.o            objs/core/board/NstBoardCneShlz.o                objs/core/board/NstBoardSachenSa72008.o
OBJS += objs/core/board/NstBoardBmc150in1.o             objs/core/board/NstBoardCony.o                   objs/core/board/NstBoardSachenStreetHeroes.o
OBJS += objs/core/board/NstBoardBmc15in1.o              objs/core/board/NstBoard.o                       objs/core/board/NstBoardSachenTca01.o
OBJS += objs/core/board/NstBoardBmc20in1.o              objs/core/board/NstBoardCxRom.o                  objs/core/board/NstBoardSachenTcu.o
OBJS += objs/core/board/NstBoardBmc21in1.o              objs/core/board/NstBoardDiscrete.o               objs/core/board/NstBoardSomeriTeamSl12.o
OBJS += objs/core/board/NstBoardBmc22Games.o            objs/core/board/NstBoardDreamtech.o              objs/core/board/NstBoardSubor.o
OBJS += objs/core/board/NstBoardBmc31in1.o              objs/core/board/NstBoardEvent.o                  objs/core/board/NstBoardSunsoft1.o
OBJS += objs/core/board/NstBoardBmc35in1.o              objs/core/board/NstBoardFb.o                     objs/core/board/NstBoardSunsoft2.o
OBJS += objs/core/board/NstBoardBmc36in1.o              objs/core/board/NstBoardFfe.o                    objs/core/board/NstBoardSunsoft3.o
OBJS += objs/core/board/NstBoardBmc64in1.o              objs/core/board/NstBoardFujiya.o                 objs/core/board/NstBoardSunsoft4.o
OBJS += objs/core/board/NstBoardBmc72in1.o              objs/core/board/NstBoardFukutake.o               objs/core/board/NstBoardSunsoft5b.o
OBJS += objs/core/board/NstBoardBmc76in1.o              objs/core/board/NstBoardFutureMedia.o            objs/core/board/NstBoardSunsoftDcs.o
OBJS += objs/core/board/NstBoardBmc800in1.o             objs/core/board/NstBoardGouder.o                 objs/core/board/NstBoardSunsoftFme7.o
OBJS += objs/core/board/NstBoardBmc8157.o               objs/core/board/NstBoardGxRom.o                  objs/core/board/NstBoardSuperGameBoogerman.o
OBJS += objs/core/board/NstBoardBmc9999999in1.o         objs/core/board/NstBoardHenggedianzi.o           objs/core/board/NstBoardSuperGameLionKing.o
OBJS += objs/core/board/NstBoardBmcA65as.o              objs/core/board/NstBoardHes.o                    objs/core/board/NstBoardSuperGamePocahontas2.o
OBJS += objs/core/board/NstBoardBmcBallgames11in1.o     objs/core/board/NstBoardHosenkan.o               objs/core/board/NstBoardTaitoTc0190fmc.o
OBJS += objs/core/board/NstBoardBmcCh001.o              objs/core/board/NstBoardIremG101.o               objs/core/board/NstBoardTaitoTc0190fmcPal16r4.o
OBJS += objs/core/board/NstBoardBmcCtc65.o              objs/core/board/NstBoardIremH3001.o              objs/core/board/NstBoardTaitoX1005.o
OBJS += objs/core/board/NstBoardBmcFamily4646B.o        objs/core/board/NstBoardIremHolyDiver.o          objs/core/board/NstBoardTaitoX1017.o
OBJS += objs/core/board/NstBoardBmcFk23c.o              objs/core/board/NstBoardIremKaiketsu.o           objs/core/board/NstBoardTengen.o
OBJS += objs/core/board/NstBoardBmcGamestarA.o          objs/core/board/NstBoardIremLrog017.o            objs/core/board/NstBoardTengenRambo1.o
OBJS += objs/core/board/NstBoardBmcGamestarB.o          objs/core/board/NstBoardJalecoJf11.o             objs/core/board/NstBoardTxc.o
OBJS += objs/core/board/NstBoardBmcGolden190in1.o       objs/core/board/NstBoardJalecoJf13.o             objs/core/board/NstBoardTxcMxmdhtwo.o
OBJS += objs/core/board/NstBoardBmcGoldenCard6in1.o     objs/core/board/NstBoardJalecoJf16.o             objs/core/board/NstBoardTxcPoliceman.o
OBJS += objs/core/board/NstBoardBmcGoldenGame260in1.o   objs/core/board/NstBoardJalecoJf17.o             objs/core/board/NstBoardTxcTw.o
OBJS += objs/core/board/NstBoardBmcHero.o               objs/core/board/NstBoardJalecoJf19.o             objs/core/board/NstBoardTxRom.o
OBJS += objs/core/board/NstBoardBmcMarioParty7in1.o     objs/core/board/NstBoardJalecoSs88006.o          objs/core/board/NstBoardUnlA9746.o
OBJS += objs/core/board/NstBoardBmcNovelDiamond.o       objs/core/board/NstBoardJyCompany.o              objs/core/board/NstBoardUnlCc21.o
OBJS += objs/core/board/NstBoardBmcPowerjoy84in1.o      objs/core/board/NstBoardKaiser.o                 objs/core/board/NstBoardUnlEdu2000.o
OBJS += objs/core/board/NstBoardBmcResetBased4in1.o     objs/core/board/NstBoardKasing.o                 objs/core/board/NstBoardUnlKingOfFighters96.o
OBJS += objs/core/board/NstBoardBmcSuper22Games.o       objs/core/board/NstBoardKayH2288.o               objs/core/board/NstBoardUnlKingOfFighters97.o
OBJS += objs/core/board/NstBoardBmcSuper24in1.o         objs/core/board/NstBoardKayPandaPrince.o         objs/core/board/NstBoardUnlMortalKombat2.o
OBJS += objs/core/board/NstBoardBmcSuper40in1.o         objs/core/board/NstBoardKonamiVrc1.o             objs/core/board/NstBoardUnlN625092.o
OBJS += objs/core/board/NstBoardBmcSuper700in1.o        objs/core/board/NstBoardKonamiVrc2.o             objs/core/board/NstBoardUnlSuperFighter3.o
OBJS += objs/core/board/NstBoardBmcSuperBig7in1.o       objs/core/board/NstBoardKonamiVrc3.o             objs/core/board/NstBoardUnlTf1201.o
OBJS += objs/core/board/NstBoardBmcSuperGun20in1.o      objs/core/board/NstBoardKonamiVrc4.o             objs/core/board/NstBoardUnlWorldHero.o
OBJS += objs/core/board/NstBoardBmcSuperHiK300in1.o     objs/core/board/NstBoardKonamiVrc6.o             objs/core/board/NstBoardUnlXzy.o
OBJS += objs/core/board/NstBoardBmcSuperHiK4in1.o       objs/core/board/NstBoardKonamiVrc7.o             objs/core/board/NstBoardUxRom.o

=== libretro/Makefile ===
DEBUG = 0
HAS_GCC = 1

NST_DIR = ..

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
else ifneq ($(findstring win,$(shell uname -a)),)
   platform = win
endif
endif

# system platform
system_platform = unix
ifeq ($(shell uname -a),)
EXE_EXT = .exe
   system_platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   system_platform = osx
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   system_platform = win
endif

LIBRETRO_DIR := libretro

ifeq ($(platform), unix)
   TARGET := libretro.so
   fpic := -fPIC
   SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
else ifeq ($(platform), osx)
   TARGET := libretro.dylib
   fpic := -fPIC
   SHARED := -dynamiclib
else ifeq ($(platform), ps3)
	HAVE_GCC_WARNINGS := 0
   TARGET := libretro_ps3.a
   CXX = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-g++.exe
   AR = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-ar.exe
   PLATFORM_DEFINES := -D__CELLOS_LV2__
else ifeq ($(platform), sncps3)
	HAVE_GCC_WARNINGS := 0
   TARGET := libretro_ps3.a
	HAS_GCC := 0
   CC = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
   CXX = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
   AR = $(CELL_SDK)/host-win32/sn/bin/ps3snarl.exe
   PLATFORM_DEFINES := -D__CELLOS_LV2__
else ifeq ($(platform), psl1ght)
   TARGET := libretro_psl1ght.a
   CC = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
   CXX = $(PS3DEV)/ppu/bin/ppu-g++$(EXE_EXT)
   AR = $(PS3DEV)/ppu/bin/ppu-ar$(EXE_EXT)
   PLATFORM_DEFINES := -D__CELLOS_LV2__
else ifeq ($(platform), xenon)
   TARGET := libretro_xenon360.a
   CC = xenon-gcc$(EXE_EXT)
   CXX = xenon-g++$(EXE_EXT)
   AR = xenon-ar$(EXE_EXT)
   PLATFORM_DEFINES := -D__LIBXENON__
else ifeq ($(platform), ngc)
   TARGET := libretro_ngc.a
   CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
   AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
   PLATFORM_DEFINES += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float
else ifeq ($(platform), wii)
   TARGET := libretro_wii.a
   CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
   AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
   PLATFORM_DEFINES += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float
else
   TARGET := retro.dll
   CC = gcc
   CXX = g++
   SHARED := -shared -static-libgcc -static-libstdc++ -Wl,-no-undefined -Wl,-version-script=link.T
endif

all: $(TARGET)

ifeq ($(DEBUG), 1)
   CFLAGS += -O0 -g
   CXXFLAGS += -O0 -g
else ifeq ($(platform), ps3)
   CFLAGS += -O2
   CXXFLAGS += -O2
else
   CFLAGS += -O3
   CXXFLAGS += -O3
endif

ifeq ($(platform), ps3)
endif

OBJS = $(NST_DIR)/source/core/NstZlib.o

## Yes, I didn't type all this out ...
# core objs
OBJS += $(NST_DIR)/source/core/NstApu.o              $(NST_DIR)/source/core/NstFds.o            $(NST_DIR)/source/core/NstPpu.o              $(NST_DIR)/source/core/NstVector.o
OBJS += $(NST_DIR)/source/core/NstAssert.o           $(NST_DIR)/source/core/NstFile.o           $(NST_DIR)/source/core/NstProperties.o
OBJS += $(NST_DIR)/source/core/NstCartridge.o        $(NST_DIR)/source/core/NstImage.o          $(NST_DIR)/source/core/NstRam.o
OBJS += $(NST_DIR)/source/core/NstCartridgeInes.o    $(NST_DIR)/source/core/NstImageDatabase.o  $(NST_DIR)/source/core/NstSha1.o             $(NST_DIR)/source/core/NstVideoFilterNone.o
OBJS += $(NST_DIR)/source/core/NstCartridgeRomset.o  $(NST_DIR)/source/core/NstLog.o            $(NST_DIR)/source/core/NstSoundPcm.o
OBJS += $(NST_DIR)/source/core/NstCartridgeUnif.o    $(NST_DIR)/source/core/NstMachine.o        $(NST_DIR)/source/core/NstSoundPlayer.o
OBJS += $(NST_DIR)/source/core/NstCheats.o           $(NST_DIR)/source/core/NstMemory.o         $(NST_DIR)/source/core/NstSoundRenderer.o    $(NST_DIR)/source/core/NstVideoRenderer.o
OBJS += $(NST_DIR)/source/core/NstChecksum.o         $(NST_DIR)/source/core/NstNsf.o            $(NST_DIR)/source/core/NstState.o            $(NST_DIR)/source/core/NstVideoScreen.o
OBJS += $(NST_DIR)/source/core/NstChips.o            $(NST_DIR)/source/core/NstPatcher.o        $(NST_DIR)/source/core/NstStream.o           $(NST_DIR)/source/core/NstXml.o
OBJS += $(NST_DIR)/source/core/NstCore.o             $(NST_DIR)/source/core/NstPatcherIps.o     $(NST_DIR)/source/core/NstTracker.o          
OBJS += $(NST_DIR)/source/core/NstCpu.o              $(NST_DIR)/source/core/NstPatcherUps.o     $(NST_DIR)/source/core/NstTrackerMovie.o
OBJS += $(NST_DIR)/source/core/NstCrc32.o            $(NST_DIR)/source/core/NstPins.o           $(NST_DIR)/source/core/NstTrackerRewinder.o

# core/api
OBJS += $(NST_DIR)/source/core/api/NstApiBarcodeReader.o  $(NST_DIR)/source/core/api/NstApiEmulator.o  $(NST_DIR)/source/core/api/NstApiMovie.o     $(NST_DIR)/source/core/api/NstApiTapeRecorder.o
OBJS += $(NST_DIR)/source/core/api/NstApiCartridge.o      $(NST_DIR)/source/core/api/NstApiFds.o       $(NST_DIR)/source/core/api/NstApiNsf.o       $(NST_DIR)/source/core/api/NstApiUser.o
OBJS += $(NST_DIR)/source/core/api/NstApiCheats.o         $(NST_DIR)/source/core/api/NstApiInput.o     $(NST_DIR)/source/core/api/NstApiRewinder.o  $(NST_DIR)/source/core/api/NstApiVideo.o
OBJS += $(NST_DIR)/source/core/api/NstApiDipSwitches.o    $(NST_DIR)/source/core/api/NstApiMachine.o   $(NST_DIR)/source/core/api/NstApiSound.o

# core/board
OBJS += $(NST_DIR)/source/core/board/NstBoardAe.o                    $(NST_DIR)/source/core/board/NstBoardBtlPikachuY2k.o          $(NST_DIR)/source/core/board/NstBoardNihon.o
OBJS += $(NST_DIR)/source/core/board/NstBoardAgci.o                  $(NST_DIR)/source/core/board/NstBoardBtlShuiGuanPipe.o        $(NST_DIR)/source/core/board/NstBoardNitra.o
OBJS += $(NST_DIR)/source/core/board/NstBoardAveD1012.o              $(NST_DIR)/source/core/board/NstBoardBtlSmb2a.o               $(NST_DIR)/source/core/board/NstBoardNtdec.o
OBJS += $(NST_DIR)/source/core/board/NstBoardAveNina.o               $(NST_DIR)/source/core/board/NstBoardBtlSmb2b.o               $(NST_DIR)/source/core/board/NstBoardOpenCorp.o
OBJS += $(NST_DIR)/source/core/board/NstBoardAxRom.o                 $(NST_DIR)/source/core/board/NstBoardBtlSmb2c.o               $(NST_DIR)/source/core/board/NstBoardQj.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandai24c0x.o           $(NST_DIR)/source/core/board/NstBoardBtlSmb3.o                $(NST_DIR)/source/core/board/NstBoardRcm.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiAerobicsStudio.o  $(NST_DIR)/source/core/board/NstBoardBtlSuperBros11.o         $(NST_DIR)/source/core/board/NstBoardRexSoftDb5z.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiDatach.o          $(NST_DIR)/source/core/board/NstBoardBtlT230.o                $(NST_DIR)/source/core/board/NstBoardRexSoftSl1632.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiKaraokeStudio.o   $(NST_DIR)/source/core/board/NstBoardBtlTobidaseDaisakusen.o  $(NST_DIR)/source/core/board/NstBoardRumbleStation.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiLz93d50.o         $(NST_DIR)/source/core/board/NstBoardBxRom.o                  $(NST_DIR)/source/core/board/NstBoardSachen74x374.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiLz93d50ex.o       $(NST_DIR)/source/core/board/NstBoardCaltron.o                $(NST_DIR)/source/core/board/NstBoardSachenS8259.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBandaiOekaKids.o        $(NST_DIR)/source/core/board/NstBoardCamerica.o               $(NST_DIR)/source/core/board/NstBoardSachenSa0036.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBenshengBs5.o           $(NST_DIR)/source/core/board/NstBoardCneDecathlon.o           $(NST_DIR)/source/core/board/NstBoardSachenSa0037.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc110in1.o             $(NST_DIR)/source/core/board/NstBoardCnePsb.o                 $(NST_DIR)/source/core/board/NstBoardSachenSa72007.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc1200in1.o            $(NST_DIR)/source/core/board/NstBoardCneShlz.o                $(NST_DIR)/source/core/board/NstBoardSachenSa72008.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc150in1.o             $(NST_DIR)/source/core/board/NstBoardCony.o                   $(NST_DIR)/source/core/board/NstBoardSachenStreetHeroes.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc15in1.o              $(NST_DIR)/source/core/board/NstBoard.o                       $(NST_DIR)/source/core/board/NstBoardSachenTca01.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc20in1.o              $(NST_DIR)/source/core/board/NstBoardCxRom.o                  $(NST_DIR)/source/core/board/NstBoardSachenTcu.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc21in1.o              $(NST_DIR)/source/core/board/NstBoardDiscrete.o               $(NST_DIR)/source/core/board/NstBoardSomeriTeamSl12.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc22Games.o            $(NST_DIR)/source/core/board/NstBoardDreamtech.o              $(NST_DIR)/source/core/board/NstBoardSubor.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc31in1.o              $(NST_DIR)/source/core/board/NstBoardEvent.o                  $(NST_DIR)/source/core/board/NstBoardSunsoft1.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc35in1.o              $(NST_DIR)/source/core/board/NstBoardFb.o                     $(NST_DIR)/source/core/board/NstBoardSunsoft2.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc36in1.o              $(NST_DIR)/source/core/board/NstBoardFfe.o                    $(NST_DIR)/source/core/board/NstBoardSunsoft3.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc64in1.o              $(NST_DIR)/source/core/board/NstBoardFujiya.o                 $(NST_DIR)/source/core/board/NstBoardSunsoft4.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc72in1.o              $(NST_DIR)/source/core/board/NstBoardFukutake.o               $(NST_DIR)/source/core/board/NstBoardSunsoft5b.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc76in1.o              $(NST_DIR)/source/core/board/NstBoardFutureMedia.o            $(NST_DIR)/source/core/board/NstBoardSunsoftDcs.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc800in1.o             $(NST_DIR)/source/core/board/NstBoardGouder.o                 $(NST_DIR)/source/core/board/NstBoardSunsoftFme7.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc8157.o               $(NST_DIR)/source/core/board/NstBoardGxRom.o                  $(NST_DIR)/source/core/board/NstBoardSuperGameBoogerman.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmc9999999in1.o         $(NST_DIR)/source/core/board/NstBoardHenggedianzi.o           $(NST_DIR)/source/core/board/NstBoardSuperGameLionKing.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcA65as.o              $(NST_DIR)/source/core/board/NstBoardHes.o                    $(NST_DIR)/source/core/board/NstBoardSuperGamePocahontas2.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcBallgames11in1.o     $(NST_DIR)/source/core/board/NstBoardHosenkan.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmc.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCh001.o              $(NST_DIR)/source/core/board/NstBoardIremG101.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmcPal16r4.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCtc65.o              $(NST_DIR)/source/core/board/NstBoardIremH3001.o              $(NST_DIR)/source/core/board/NstBoardTaitoX1005.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFamily4646B.o        $(NST_DIR)/source/core/board/NstBoardIremHolyDiver.o          $(NST_DIR)/source/core/board/NstBoardTaitoX1017.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFk23c.o              $(NST_DIR)/source/core/board/NstBoardIremKaiketsu.o           $(NST_DIR)/source/core/board/NstBoardTengen.o
OBJS += $(NST_DIR)/source/core/board/NstBoardBmcGamestarA.o          $(NST_DIR)/source/core/board/NstBoardIremLrog017.o            $(NST_DIR)/source/core/board/NstBoardTengenRambo1.o

=== debian/changelog ===
nestopia (1.44+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #559563).

 -- Stephen Kitt <steve@sk2.org>  Sat, 02 Feb 2013 21:02:47 +0100

=== debian/control ===
Source: nestopia
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 9),
               libasound2-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libsdl1.2-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://0ldsk00l.ca/nestopia.html
Vcs-Git: git://git.debian.org/git/pkg-games/nestopia.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/nestopia.git;a=summary

Package: nestopia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nes-emulator
Description: accurate emulator of the Nintendo Entertainment System
 NEStopia is a NES (Nintento Entertainment System, also known as
 Famicom) emulator designed to provide a highly accurate emulation.
 It features:
    * support for a variety of formats
    * save states
    * a video recorder
    * a game rewinder
    * configuration using a GUI
    * autodetection of PAL and NTSC games

## nestopia 1.45+dfsg

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 CFLAGS ?= -O3 -g3
 CXXFLAGS ?= -O3 -g3
 CPPFLAGS += -DNST_PRAGMA_ONCE_SUPPORT -D_SZ_ONE_DIRECTORY
-CPPFLAGS += -Isource -Isource/core -Isource/zlib -Isource/core/api -Isource/core/board -Isource/core/input -Isource/unix/unzip
-CPPFLAGS += -Isource/core/vssystem -Isource/unix -Isource/nes_ntsc -I.. -I../nes_ntsc -Isource/unix/7zip
+CPPFLAGS += -Isource -Isource/core -Isource/zlib -Isource/core/api -Isource/core/board -Isource/core/input
+CPPFLAGS += -Isource/core/vssystem -Isource/unix -Isource/nes_ntsc -I.. -I../nes_ntsc
 SDL_CFLAGS = $(shell sdl-config --cflags)
 GTK_CFLAGS = $(shell pkg-config --cflags gtk+-3.0)
 CFLAGS += $(SDL_CFLAGS) $(GTK_CFLAGS)
@@ -28,11 +28,11 @@
 
 ifeq ($(UNAME), Linux)
 	CXXFLAGS += -Wno-deprecated -Wno-unused-result -Wno-write-strings -fno-rtti
-	LIBS = -lstdc++ -lm -lz -lasound $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
+	LIBS = -lstdc++ -lm -lz -larchive -lasound $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
 endif
 ifneq ($(UNAME), Linux)
 	CXXFLAGS += -Wno-deprecated -Wno-write-strings -fno-rtti
-	LIBS = -lstdc++ -lm -lz $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
+	LIBS = -lstdc++ -lm -lz -larchive $(shell sdl-config --libs) $(shell pkg-config --libs gtk+-3.0)
 	CPPFLAGS += -DBSD
 endif
 
@@ -48,17 +48,8 @@
 CPPFLAGS += -DDATADIR=\"$(DATADIR)\"
 
 # Linux objs
-OBJS = objs/unix/main.o objs/unix/oss.o objs/unix/interface.o objs/unix/settings.o 
-OBJS += objs/unix/auxio.o objs/unix/input.o objs/unix/kentry.o objs/unix/controlconfig.o objs/unix/cheats.o
-OBJS += objs/unix/seffect.o objs/unix/uihelp.o
-
-# 7-zip decoder (from LZMA SDK 4.58 beta)
-OBJS += objs/unix/7zip/7zAlloc.o objs/unix/7zip/7zBuf.o objs/unix/7zip/7zCrc.o objs/unix/7zip/7zDecode.o objs/unix/7zip/7zExtract.o 
-OBJS += objs/unix/7zip/7zHeader.o objs/unix/7zip/7zIn.o objs/unix/7zip/7zItem.o objs/unix/7zip/LzmaDec.o
-OBJS += objs/unix/7zip/Alloc.o objs/unix/7zip/Bcj2.o objs/unix/7zip/Bra.o objs/unix/7zip/Bra86.o objs/unix/7zip/BraIA64.o
-
-# zip decoder
-OBJS += objs/unix/unzip/unzip.o
+OBJS = objs/unix/main.o objs/unix/gtkui.o objs/unix/audio.o objs/unix/seffect.o objs/unix/settings.o
+OBJS += objs/unix/fileio.o objs/unix/input.o objs/unix/kentry.o objs/unix/controlconfig.o objs/unix/cheats.o
 
 # core objs
 OBJS += objs/core/NstApu.o              objs/core/NstFds.o            objs/core/NstPpu.o              objs/core/NstVector.o
@@ -66,7 +57,7 @@
 OBJS += objs/core/NstCartridge.o        objs/core/NstImage.o          objs/core/NstRam.o              objs/core/NstVideoFilterHqX.o
 OBJS += objs/core/NstCartridgeInes.o    objs/core/NstImageDatabase.o  objs/core/NstSha1.o             objs/core/NstVideoFilterNone.o
 OBJS += objs/core/NstCartridgeRomset.o  objs/core/NstLog.o            objs/core/NstSoundPcm.o         objs/core/NstVideoFilterNtsc.o
-OBJS += objs/core/NstCartridgeUnif.o    objs/core/NstMachine.o        objs/core/NstSoundPlayer.o      objs/core/NstVideoFilterScaleX.o
+OBJS += objs/core/NstCartridgeUnif.o    objs/core/NstMachine.o        objs/core/NstSoundPlayer.o      objs/core/NstVideoFilterScaleX.o	objs/core/NstVideoFilterxBR.o
 OBJS += objs/core/NstCheats.o           objs/core/NstMemory.o         objs/core/NstSoundRenderer.o    objs/core/NstVideoRenderer.o
 OBJS += objs/core/NstChecksum.o         objs/core/NstNsf.o            objs/core/NstState.o            objs/core/NstVideoScreen.o
 OBJS += objs/core/NstChips.o            objs/core/NstPatcher.o        objs/core/NstStream.o           objs/core/NstXml.o
@@ -136,3 +127,6 @@
 OBJS += objs/core/board/NstBoardBmcSuperGun20in1.o      objs/core/board/NstBoardKonamiVrc4.o             objs/core/board/NstBoardUnlWorldHero.o
 OBJS += objs/core/board/NstBoardBmcSuperHiK300in1.o     objs/core/board/NstBoardKonamiVrc6.o             objs/core/board/NstBoardUnlXzy.o
 OBJS += objs/core/board/NstBoardBmcSuperHiK4in1.o       objs/core/board/NstBoardKonamiVrc7.o             objs/core/board/NstBoardUxRom.o
+OBJS += objs/core/board/NstBoardBmcSuperVision16in1.o   objs/core/board/NstBoardKonamiVsSystem.o         objs/core/board/NstBoardVsSystem.o
+OBJS += objs/core/board/NstBoardBmcT262.o               objs/core/board/NstBoardMagicSeries.o            objs/core/board/NstBoardWaixing.o
+OBJS += objs/core/board/NstBoardBmcVrc4.o               objs/core/board/NstBoardMmc1.o                   objs/core/board/NstBoardWaixingFfv.o

=== libretro/Makefile ===
--- 
+++ 
@@ -28,55 +28,101 @@
 endif
 
 LIBRETRO_DIR := libretro
+TARGET_NAME := nestopia
 
 ifeq ($(platform), unix)
-   TARGET := libretro.so
+   TARGET := $(TARGET_NAME)_libretro.so
    fpic := -fPIC
    SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
 else ifeq ($(platform), osx)
-   TARGET := libretro.dylib
+   TARGET := $(TARGET_NAME)_libretro.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
+else ifeq ($(platform), ios)
+   TARGET := $(TARGET_NAME)_libretro_ios.dylib
+   fpic := -fPIC
+   SHARED := -dynamiclib
+
+   CC = clang -arch armv7 -isysroot $(IOSSDK)
+   CXX = clang++ -arch armv7 -isysroot $(IOSSDK)
+else ifeq ($(platform), qnx)
+   TARGET := $(TARGET_NAME)_libretro_qnx.so
+   fpic := -fPIC
+   SHARED := -lcpp -lm -shared -Wl,-version-script=link.T -Wl,-no-undefined
+	HAS_GCC := 0
+
+	CC = qcc -Vgcc_ntoarmv7le
+	CXX = QCC -Vgcc_ntoarmv7le_cpp
+	AR = QCC -Vgcc_ntoarmv7le
+	PLATFORM_DEFINES := -D__BLACKBERRY_QNX__ -marm -mcpu=cortex-a9 -mfpu=neon -mfloat-abi=softfp
 else ifeq ($(platform), ps3)
 	HAVE_GCC_WARNINGS := 0
-   TARGET := libretro_ps3.a
+   TARGET := $(TARGET_NAME)_libretro_ps3.a
    CXX = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-g++.exe
+   CC = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-gcc.exe
    AR = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-ar.exe
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), sncps3)
 	HAVE_GCC_WARNINGS := 0
-   TARGET := libretro_ps3.a
+   TARGET := $(TARGET_NAME)_libretro_ps3.a
 	HAS_GCC := 0
    CC = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
    CXX = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
    AR = $(CELL_SDK)/host-win32/sn/bin/ps3snarl.exe
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), psl1ght)
-   TARGET := libretro_psl1ght.a
+   TARGET := $(TARGET_NAME)_libretro_psl1ght.a
    CC = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
    CXX = $(PS3DEV)/ppu/bin/ppu-g++$(EXE_EXT)
    AR = $(PS3DEV)/ppu/bin/ppu-ar$(EXE_EXT)
    PLATFORM_DEFINES := -D__CELLOS_LV2__
+	STATIC_LINKING = 1
 else ifeq ($(platform), xenon)
-   TARGET := libretro_xenon360.a
+   TARGET := $(TARGET_NAME)_libretro_xenon360.a
    CC = xenon-gcc$(EXE_EXT)
    CXX = xenon-g++$(EXE_EXT)
    AR = xenon-ar$(EXE_EXT)
    PLATFORM_DEFINES := -D__LIBXENON__
+	STATIC_LINKING = 1
 else ifeq ($(platform), ngc)
-   TARGET := libretro_ngc.a
+   TARGET := $(TARGET_NAME)_libretro_ngc.a
    CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
    CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
    AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
    PLATFORM_DEFINES += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float
+	STATIC_LINKING = 1
 else ifeq ($(platform), wii)
-   TARGET := libretro_wii.a
+   TARGET := $(TARGET_NAME)_libretro_wii.a
    CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
    CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
    AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
    PLATFORM_DEFINES += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float
+	STATIC_LINKING = 1
+else ifneq (,$(findstring armv,$(platform)))
+   TARGET := $(TARGET_NAME)_libretro.so
+   fpic := -fPIC
+   SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
+   CC = gcc
+ifneq (,$(findstring cortexa8,$(platform)))
+   PLATFORM_DEFINES += -marm -mcpu=cortex-a8
+else ifneq (,$(findstring cortexa9,$(platform)))
+   PLATFORM_DEFINES += -marm -mcpu=cortex-a9
+endif
+   PLATFORM_DEFINES += -marm
+ifneq (,$(findstring neon,$(platform)))
+   PLATFORM_DEFINES += -mfpu=neon
+   HAVE_NEON = 1
+endif
+ifneq (,$(findstring softfloat,$(platform)))
+   PLATFORM_DEFINES += -mfloat-abi=softfp
+else ifneq (,$(findstring hardfloat,$(platform)))
+   PLATFORM_DEFINES += -mfloat-abi=hard
+endif
+   PLATFORM_DEFINES += -DARM
 else
-   TARGET := retro.dll
+   TARGET := $(TARGET_NAME)_libretro.dll
    CC = gcc
    CXX = g++
    SHARED := -shared -static-libgcc -static-libstdc++ -Wl,-no-undefined -Wl,-version-script=link.T
@@ -95,9 +141,6 @@
    CXXFLAGS += -O3
 endif
 
-ifeq ($(platform), ps3)
-endif
-
 OBJS = $(NST_DIR)/source/core/NstZlib.o
 
 ## Yes, I didn't type all this out ...
@@ -114,6 +157,8 @@
 OBJS += $(NST_DIR)/source/core/NstCore.o             $(NST_DIR)/source/core/NstPatcherIps.o     $(NST_DIR)/source/core/NstTracker.o          
 OBJS += $(NST_DIR)/source/core/NstCpu.o              $(NST_DIR)/source/core/NstPatcherUps.o     $(NST_DIR)/source/core/NstTrackerMovie.o
 OBJS += $(NST_DIR)/source/core/NstCrc32.o            $(NST_DIR)/source/core/NstPins.o           $(NST_DIR)/source/core/NstTrackerRewinder.o
+OBJS += $(NST_DIR)/source/core/NstVideoFilterNtscCfg.o					$(NST_DIR)/source/core/NstVideoFilterNtsc.o
+
 
 # core/api
 OBJS += $(NST_DIR)/source/core/api/NstApiBarcodeReader.o  $(NST_DIR)/source/core/api/NstApiEmulator.o  $(NST_DIR)/source/core/api/NstApiMovie.o     $(NST_DIR)/source/core/api/NstApiTapeRecorder.o
@@ -148,13 +193,3 @@
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc64in1.o              $(NST_DIR)/source/core/board/NstBoardFujiya.o                 $(NST_DIR)/source/core/board/NstBoardSunsoft4.o
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc72in1.o              $(NST_DIR)/source/core/board/NstBoardFukutake.o               $(NST_DIR)/source/core/board/NstBoardSunsoft5b.o
 OBJS += $(NST_DIR)/source/core/board/NstBoardBmc76in1.o              $(NST_DIR)/source/core/board/NstBoardFutureMedia.o            $(NST_DIR)/source/core/board/NstBoardSunsoftDcs.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc800in1.o             $(NST_DIR)/source/core/board/NstBoardGouder.o                 $(NST_DIR)/source/core/board/NstBoardSunsoftFme7.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc8157.o               $(NST_DIR)/source/core/board/NstBoardGxRom.o                  $(NST_DIR)/source/core/board/NstBoardSuperGameBoogerman.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmc9999999in1.o         $(NST_DIR)/source/core/board/NstBoardHenggedianzi.o           $(NST_DIR)/source/core/board/NstBoardSuperGameLionKing.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcA65as.o              $(NST_DIR)/source/core/board/NstBoardHes.o                    $(NST_DIR)/source/core/board/NstBoardSuperGamePocahontas2.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcBallgames11in1.o     $(NST_DIR)/source/core/board/NstBoardHosenkan.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmc.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCh001.o              $(NST_DIR)/source/core/board/NstBoardIremG101.o               $(NST_DIR)/source/core/board/NstBoardTaitoTc0190fmcPal16r4.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcCtc65.o              $(NST_DIR)/source/core/board/NstBoardIremH3001.o              $(NST_DIR)/source/core/board/NstBoardTaitoX1005.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFamily4646B.o        $(NST_DIR)/source/core/board/NstBoardIremHolyDiver.o          $(NST_DIR)/source/core/board/NstBoardTaitoX1017.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcFk23c.o              $(NST_DIR)/source/core/board/NstBoardIremKaiketsu.o           $(NST_DIR)/source/core/board/NstBoardTengen.o
-OBJS += $(NST_DIR)/source/core/board/NstBoardBmcGamestarA.o          $(NST_DIR)/source/core/board/NstBoardIremLrog017.o            $(NST_DIR)/source/core/board/NstBoardTengenRambo1.o

=== debian/changelog ===
nestopia (1.45+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to my Debian email address.
  * Use canonical VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Aug 2013 02:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 9),
+               libarchive-dev,
                libasound2-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
@@ -12,8 +13,8 @@
                zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://0ldsk00l.ca/nestopia.html
-Vcs-Git: git://git.debian.org/git/pkg-games/nestopia.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/nestopia.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/nestopia.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/nestopia.git;a=summary
 
 Package: nestopia
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

get-orig-source:
	DEHS=$$(mktemp) && \
	export NST_DSTDIR=$$PWD && \
	export NST_TMPDIR=$$(mktemp -d) && \
	cd $$NST_TMPDIR && \
	uscan --dehs --download --destdir . --package nestopia \
	      --upstream-version 0 --repack \
	      --force-download --watchfile $(dir $(_))/watch > $$DEHS && \
	VERSION=$$(sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p' $$DEHS) && \
	mkdir nestopia-$$VERSION+dfsg && \
	cd nestopia-$$VERSION+dfsg && \
	tar xf ../nestopia-$$VERSION.tgz && \
	mv nestopia-$$VERSION/* . && \
	rm -rf nestopia-$$VERSION && \
	rm -rf dll lib source/kaillera source/unrar && \
	cd .. && \
	tar cjf $$NST_DSTDIR/nestopia_$$VERSION+dfsg.orig.tar.bz2 nestopia-$$VERSION+dfsg && \
	rm -rf $$NST_TMPDIR

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg$// \
  http://sf.net/nestopiaue/nestopia-([0-9].*)\.tgz
